> ## Documentation Index
> Fetch the complete documentation index at: https://docs.haiqu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Health Auth

> Check that the API key is valid and the client SDK version is supported.

Used by the SDK haiqu.health_check() check. Unlike ``GET /user``, the call
is not recorded in telemetry as a login.

Returns:
    HealthAuthModel: Status and the username the API key belongs to.



## OpenAPI

````yaml https://api.haiqu.ai/openapi.json get /health/auth
openapi: 3.1.0
info:
  title: Haiqu API
  summary: Haiqu RESTful API service.
  description: Cloud service providing the access to Haiqu cloud runtime
  contact:
    name: Haiqu Inc.
    url: https://haiqu.ai/
    email: info@haiqu.ai
  version: 1.7.0
servers: []
security: []
paths:
  /health/auth:
    get:
      summary: Health Auth
      description: >-
        Check that the API key is valid and the client SDK version is supported.


        Used by the SDK haiqu.health_check() check. Unlike ``GET /user``, the
        call

        is not recorded in telemetry as a login.


        Returns:
            HealthAuthModel: Status and the username the API key belongs to.
      operationId: health_auth_health_auth_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HealthAuthModel'
      security:
        - APIKeyQuery: []
        - APIKeyHeader: []
components:
  schemas:
    HealthAuthModel:
      properties:
        status:
          type: string
          title: Status
        username:
          type: string
          title: Username
      type: object
      required:
        - status
        - username
      title: HealthAuthModel
      description: Authenticated health check model.
  securitySchemes:
    APIKeyQuery:
      type: apiKey
      in: query
      name: HAIQU_API_KEY
    APIKeyHeader:
      type: apiKey
      in: header
      name: authorization

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.